docs

# DocumentFile

data class DocumentFile ( val fileId: FileId , val fileUniqueId: FileUniqueId , val fileSize: Long ? = null, val thumb: PhotoSize ? = null, val mimeType: MimeType ? = null, val fileName: String ? = null) : TelegramMediaFile, MimedMediaFile, ThumbedMediaFile, CustomNamedMediaFile
Content copied to clipboard

## Constructors

DocumentFile
Link copied to clipboard
fun DocumentFile ( fileId: FileId , fileUniqueId: FileUniqueId , fileSize: Long ? = null, thumb: PhotoSize ? = null, mimeType: MimeType ? = null, fileName: String ? = null)
Content copied to clipboard

## Properties

fileId
Link copied to clipboard
open override val fileId : FileId
Content copied to clipboard
fileName
Link copied to clipboard
open override val fileName : String ? = null
Content copied to clipboard
fileSize
Link copied to clipboard
open override val fileSize : Long ? = null
Content copied to clipboard
fileUniqueId
Link copied to clipboard
open override val fileUniqueId : FileUniqueId
Content copied to clipboard
mimeType
Link copied to clipboard
open override val mimeType : MimeType ? = null
Content copied to clipboard
thumb
Link copied to clipboard
open override val thumb : PhotoSize ? = null
Content copied to clipboard

## Extensions

toTelegramMediaDocument
Link copied to clipboard
fun DocumentFile . toTelegramMediaDocument (text: String ? = null, parseMode: ParseMode ? = null): TelegramMediaDocument
Content copied to clipboard
fun DocumentFile . toTelegramMediaDocument (textSources: TextSourcesList = emptyList()): TelegramMediaDocument
Content copied to clipboard